Bug 787187 - Confusing package structure and dependency chain
Confusing package structure and dependency chain
Status: NEW
Product: Fedora
Classification: Fedora
Component: llvm (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-03 07:48 EST by Michael Schwendt
Modified: 2015-07-15 11:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2012-02-03 07:48:53 EST
As whether these issues are fixable, dunno. They are unusual. For example:

$ sudo yum install gedit-code-assistance
[...]
Installing:
 gedit-code-assistance    x86_64    0.1.2-1.fc16       updates            100 k
Installing for dependencies:
 clang                    x86_64    2.9-6.fc16         updates-testing    6.0 M
 llvm                     x86_64    2.9-6.fc16         updates-testing    491 k
Updating for dependencies:
 llvm-libs                x86_64    2.9-6.fc16         updates-testing    5.3 M
[...]

One doesn't get just the Clang shared lib, but with package "llvm", all LLVM tools are pulled in, too.

"llvm" is an explicit dependency in "clang" even. Why is that? The spec file ought to comment on Explicit Requires. The dependency on llvm-libs is automatic because of the shared lib (but actually llvm-libs also contains a ld.so.conf file, so that one should be an explicit dep).

* Package "clang" installs its own compiler plus headers, which belong into clang-devel instead:

# rpmls clang|grep include|wc -l
24

* The static libs for "clang" are found in llvm-devel.

* The manual for /usr/bin/tblgen (from "clang") is located in package "llvm".
Comment 1 Michel Alexandre Salim 2012-02-03 09:22:44 EST
Thanks. I need to figure out LLVM 3.0 <--> GCC 4.7 compilation problems first, at the moment, but as soon as that is fixed I'll try and reorganize the filesystem layout for F-17 and then backport those changes to F16.
Comment 2 Fedora Admin XMLRPC Client 2013-02-27 10:11:17 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2013-04-03 15:11:25 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Jan Včelák 2014-12-25 18:35:32 EST
This report is still valid.

And I believe the explicit requirement of llvm in clang can be dropped safely.
Comment 5 Jan Kurik 2015-07-15 11:11:57 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Note You need to log in before you can comment on or make changes to this bug.